﻿##################################### Quick Menu

screen quick_menu():
    zorder 100
    default quick_show = False

    if quick_menu:
        vbox:
            style_prefix "quick"
            align 1.0, 1.0 spacing 10 yoffset -10
            button:
                xoffset -10
                at btn
                if quick_show:
                    text _("--")
                else:
                    text _("+")
                action ToggleScreenVariable("quick_show", True, False)
            if quick_show:
                # button:
                #     at btn
                #     text _("Back")
                #     action Rollback()
                button:
                    at btn
                    text _("History")
                    action ShowMenu('history')
                button:
                    at btn
                    text _("Skip")
                    action Skip() alternate Skip(fast=True, confirm=True)
                # button:
                #     at btn
                #     text _("Auto")
                #     action Preference("auto-forward", "toggle")
                button:
                    at btn
                    text _("Save")
                    action ShowMenu('save')
                button:
                    at btn
                    text _("Q.Save")
                    action QuickSave()
                button:
                    at btn
                    text _("Q.Load")
                    action QuickLoad()
                button:
                    at btn
                    text _("Prefs")
                    action ShowMenu('preferences')

init python:
    config.overlay_screens.append("quick_menu")

default quick_menu = True

style quick_button is zero:
    xalign 1.0
style quick_text is zero
style quick_hbox is zero