﻿init offset = -1

screen preferences():
    tag menu
    use game_menu(_("Preferences"), scroll="viewport"):
        vbox:
            style_prefix "pref"
            hbox:
                box_wrap True
                if renpy.variant("pc") or renpy.variant("web"): # Display
                    frame:
                        at btn
                        has vbox
                        text _("Display")
                        if _preferences.fullscreen:
                            button:
                                at btn(0)
                                text _("Window")
                                action Preference("display", "window")
                        else:
                            button:
                                at btn(0)
                                text _("Window")
                                action Preference("display", "any window")

                        button:
                            at btn(0)
                            text _("Fullscreen")
                            action Preference("display", "fullscreen")
                frame: # Rollback Side
                    at btn
                    has vbox
                    text _("Rollback Side")
                    button:
                        at btn(0)
                        text _("Disable")
                        action Preference("rollback side", "disable")
                    button:
                        at btn(0)
                        text _("Left")
                        action Preference("rollback side", "left")
                    button:
                        at btn(0)
                        text _("Right")
                        action Preference("rollback side", "right")

                frame: # Skip
                    at btn
                    has vbox
                    text _("Skip")
                    button:
                        at btn(0)
                        text _("Unseen Text")
                        action Preference("skip", "toggle")
                    button:
                        at btn(0)
                        text _("After Choices")
                        action Preference("after choices", "toggle")
                    button:
                        at btn(0)
                        text _("Transitions")
                        action InvertSelected(Preference("transitions", "toggle"))
            hbox:
                # frame:
                #     at btn
                #     has vbox
                #     box_wrap True
                #     vbox:
                #         text _("Change theme")
                #         button:
                #             text _("Bright")
                #             action Function(change_theme, zero_color_theme_1), SelectedIf(current_theme == zero_color_theme_1)
                #         button:
                #             text _("Dark")
                #             action Function(change_theme, zero_color_theme_2), SelectedIf(current_theme == zero_color_theme_2)

                frame: # Text Speed
                    at btn
                    has vbox
                    box_wrap True
                    vbox:
                        text _("Text Speed")
                        bar value Preference("text speed") at btn(0)
                        text _("Auto-Forward Time")
                        bar value Preference("auto-forward time") at btn(0)

                frame: # Volume
                    at btn
                    has vbox
                    vbox:
                        if config.has_music:
                            text _("Music Volume")
                            hbox:
                                bar value Preference("music volume") at btn(0)

                        if config.has_sound:
                            text _("Sound Volume")
                            hbox:
                                bar value Preference("sound volume") at btn(0)
                                if config.sample_sound:
                                    button:
                                        at btn(0)
                                        text _("Test")
                                        action Play("sound", config.sample_sound)


                        if config.has_voice:
                            text _("Voice Volume")
                            hbox:
                                bar value Preference("voice volume") at btn(0)
                                if config.sample_voice:
                                    button:
                                        at btn(0)
                                        text _("Test")
                                        action Play("voice", config.sample_voice)

                        if config.has_music or config.has_sound or config.has_voice:
                            button:
                                at btn(0)
                                text _("Mute All")
                                action Preference("all mute", "toggle")



style pref_frame is zero:
    size_group "pref_frames" ysize 350
style pref_button is zero:
    size_group "pref_buttons"
style pref_text is zero
style pref_vbox is zero
style pref_hbox is zero
style pref_slider is zero:
    xysize (300,30)


