﻿image bg park = "demo/bg park.webp"
image mako normal = "demo/mako normal.webp"
image sai normal = "demo/sai normal.webp"
image liz normal = "demo/liz normal.webp"
image kaga normal = "demo/kaga normal.webp"
image mi normal = "demo/mi normal.webp"
define Mako = Character('Mako', color="#d097f2", what_color = current_theme["Complimentary"])
define Sai = Character('Sai', color="#979497", what_color = current_theme["Complimentary"])


label demo:
    show bg park
    show mako normal at midleft
    Mako "Ha... Hi... {w=.5}My name is Ayame... {w=.5}Your host for this demo... {w=.5}Call me Aya."
    show sai normal at midright
    Sai "And I'm Nana, {w=.5}Let's jump to the menu examples."
    label demo_first_menu:
        menu:
            "More menues":
                jump demo_more_menus
                $ menu_shuffle = 0
            "Input":
                jump demo_inputs
            "Long dialogue":
                jump demo_long_dialogue
            "History":
                jump demo_history
            "NVL":
                jump demo_nvl
            "Bubbles":
                jump demo_bubbles
            "Random":
                jump demo_random_jump
            "Exit":
                return
        return


label demo_inputs:
    Mako "What's your name?"
    python:
        name = renpy.input(_("My name is..."))
        name = name.strip()
        if not name:
            name = "Smog"
    Mako "My name is [name]! Nice to meet you."
    menu:
        "return to the first menu.":
            jump demo_first_menu
        "Exit":
            return

label demo_more_menus:
    menu:
        "This menu has some long text."
        "A very long menu to test how the menus look when we have lots of text in choices, in other words: testing multiline frames.":
            Mako "Wow that was long."
        "A short one to compare":
            Mako "What to do now?"
    menu:
        "return to the first menu.":
            jump demo_first_menu
        "Exit":
            return


label demo_long_dialogue:
    Mako "Let me explain something useful..."
    Mako "There's an ideal length of text that allows you to read with ease... {w}It has little to do with the font size and its visibility... {w}You can read ten to twenty words before you lose track of where were you reading from, in a long line."
    Mako "It's a good idea to break long text into lines and if it's longer than a few lines, break it into multiple pieces of dialogue."
    extend "That's exactly the reason why newspapers are columns of text instead of starting from one side and going all the way to the other side."
    Sai "Well I guess that's more than enough text to see how much you can fit in the said window before something goes awry."
    Sai "Keep in mind, it's a game, not a book..."
    Sai "You can have one centence per page and it comes out in roughly the same file size."
    label demo_long_dialogue_menu:
        menu:
            "return to the first menu":
                jump demo_first_menu
            "I need an even bigger block of text":
                Mako "Let me explain it again..."
                extend "There's an ideal length of text that allows you to read with ease..."
                extend "It has little to do with the font size and its visibility..."
                extend "You can read ten to twenty words before you lose track of where were you reading from, in a long line. "
                extend "It's a good idea to break long text into lines and if it's longer than a few lines, break it into multiple pieces of dialogue."
                extend "That's exactly the reason why newspapers are columns of text instead of starting from one side and going all the way to the other side."
                extend "Well I guess that's more than enough text to see how much you can fit in the said window before something goes awry."
                extend "Keep in mind, it's a game, not a book... "
                extend "You can have one sentence per page and it comes out in roughly the same file size."
                jump demo_long_dialogue_menu
            "Exit":
                return

label demo_history:
    Mako "Let's make some history."
    Sai "Do I have something to say here?"
    Mako "Yes we need lots of chitchat."
    Sai "Cool I wanted to add something."
    Mako "What?"
    Sai "Let the narrator say something."
    Mako "Of course."
    Mako "Hey narrator."
    "huh, who? me?"
    Mako "Yes you, sitting silently on the corner watching girls sit, what's going on in your filthy brain?"
    "Nothing, I swear."
    Sai "Yeah he's a pervert."
    Mako "Obviously."
    "I'm not."
    Sai "So desperate"
    Sai "So obvious."
    Mako "Do we have enough history now?"
    Sai "I guess so."
    Sai "Let's check."
    menu:
        "return to the first menu":
            jump demo_first_menu
        "Exit":
            return

define Mako_bubble = Character('Mako', image = 'Mako', kind=bubble)
define Sai_bubble = Character('Sai', image = 'Sai', kind=bubble)
label demo_bubbles:
    Mako_bubble "Do we have bubbles?"
    Sai_bubble "Perhaps?"
    Sai_bubble "Let'see."
    Mako_bubble "We do but where the bubble position data is saved?"
    Sai_bubble "In the game folder, but you don't need to touch that file.."


    jump demo_first_menu